Bug 240040 - net/samba410: update to 4.10.6 breaks AD/DC with MIT kerberos
Summary: net/samba410: update to 4.10.6 breaks AD/DC with MIT kerberos
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-22 16:42 UTC by Felix Palmen
Modified: 2019-12-05 09:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (timur)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Palmen 2019-08-22 16:42:44 UTC
I have a samba AD/DC in a jail, sysvol on zfs, built with the following options:

DEFAULT_VERSIONS+= ssl=libressl samba=4.10 php=7.2 pgsql=10 linux=c7

OPTIONS_UNSET+= GSSAPI_BASE GSSAPI_NONE HEIMDAL ALSA JACK PULSE PULSEAUDIO
OPTIONS_SET+=   GSSAPI_MIT SNDIO PORTAUDIO
net_samba410_UNSET+=	GSSAPI_BUILTIN DEBUG
net_samba410_SET+=	CUPS BIND914

It didn't work any more after moving from samba48 to samba410 before revision 509383, but I was able to fix this by applying the patch from
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239105 ( https://bugs.freebsd.org/bugzilla/attachment.cgi?id=205675 )

Unfortunately, the update to 4.10.6 broke it again in a different way -- samba fails to start because the KDC doesn't start, and /var/log/samba4/mit_kdc.log has the following line:

Aug 22 18:34:49 addc.home.palmen-it.de krb5kdc[9661](Error): Cannot allocate memory - while initializing database for realm HOME.PALMEN-IT.DE
Comment 1 VVD 2019-12-02 16:20:40 UTC
(In reply to Felix Palmen from comment #0)
Check, plz, 4.10.10.
Comment 2 Felix Palmen 2019-12-03 13:57:46 UTC
(In reply to VVD from comment #1)
Current version works flawlessly in my scenario, both as domain controller and as client, without any patches. Great, thanks!
Comment 3 VVD 2019-12-04 16:07:37 UTC
(In reply to Felix Palmen from comment #2)
Close this PR than. :-]
Comment 4 Felix Palmen 2019-12-05 09:27:02 UTC
Fixed in 4.10.10

Didn't know I can close myself ;)